Subject: Re: bug#79469: 31.0.50; Ungrammatical sentence from describe-function

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Sep 2025 18:53:34 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 19 Sep 2025 17:03:22 +0200
> 
> > If we don't care about being wrong in some cases, then why fix this to
> > begin with?
> 
> AFAIK there are no cases in the current code for which the fix I
> proposed (in any of the variants) is wrong, and the last version is
> likely to DTRT for many, if not all, plausible future additions to the
> repertoire of functions type symbols.  I think a fix that would work in
> all possible cases would require consulting a large wordlist (that would
> have to be continually updated) and I don't think this issue justifies
> implementing and maintaining such a fix.  But I do think it's better to
> have a limited fix known to work with the current code base than to
> leave such a silly bug in Emacs.

>From where I stand, it is not a bug, and certainly isn't silly.

Don't we have anything better to do to improve Emacs?